In association with heise online

01 July 2009, 10:23

The new Maven 2.2.0 requires Java 5

  • Twitter
  • Facebook
  • submit to slashdot
  • StumbleUpon
  • submit to reddit

The Maven development team has released version 2.2.0 of its popular Java build tool. The new version requires Java 5, a requirement the developers would have liked to have seen implemented in the previous 2.1.0 version, but for compatibility reasons were forced to delay until now.

The release also includes numerous revisions which should bring greater stability and implement a number of less critical bug fixes.

Maven is an Apache project for describing build processes. It includes free Make alternative Ant and can be used in conjunction with version control systems such as Subversion. Its plugin architecture allows the build process to be extended as needed. Maven can be used to manage project builds, reporting and documentation from a central point.


Print Version | Send by email | Permalink:

  • July's Community Calendar

The H Open

The H Security

The H Developer

The H Internet Toolkit